package com.sun.image.codec.jpeg;

import java.awt.image.Raster;
import java.awt.image.ColorModel;
import java.io.IOException;
import java.awt.image.BufferedImage;
import java.io.OutputStream;

public interface JPEGImageEncoder
{
    public abstract OutputStream getOutputStream();
    
    public abstract void setJPEGEncodeParam(JPEGEncodeParam p0);
    
    public abstract JPEGEncodeParam getJPEGEncodeParam();
    
    public abstract JPEGEncodeParam getDefaultJPEGEncodeParam(BufferedImage p0) throws ImageFormatException;
    
    public abstract void encode(BufferedImage p0) throws IOException, ImageFormatException;
    
    public abstract void encode(BufferedImage p0, JPEGEncodeParam p1) throws IOException, ImageFormatException;
    
    public abstract int getDefaultColorId(ColorModel p0);
    
    public abstract JPEGEncodeParam getDefaultJPEGEncodeParam(Raster p0, int p1) throws ImageFormatException;
    
    public abstract JPEGEncodeParam getDefaultJPEGEncodeParam(int p0, int p1) throws ImageFormatException;
    
    public abstract JPEGEncodeParam getDefaultJPEGEncodeParam(JPEGDecodeParam p0) throws ImageFormatException;
    
    public abstract void encode(Raster p0) throws IOException, ImageFormatException;
    
    public abstract void encode(Raster p0, JPEGEncodeParam p1) throws IOException, ImageFormatException;
}
